
{% if page_obj.has_previous %}
<a href="?page={{ page_obj.previous_page_number}}">前へ</a>
{% endif %}

{% for numb in page_obj.paginator.page_range %}
    {% if page_obj.number == num %}
    <span>{{ num }}</span>
    {% else %}
    <a href="?page={{ num }}">{{ num }}</a>
    {% endif %}
{% endfor %}


{% if page_obj.has_next %}
<a href="?page={{ page_obj.next_page_number}}">次へ</a>
{% endif %}

